# -*- coding: UTF-8 -*-

import config

def get(lang=config.lang):
	if(not lang.__class__ in [str, unicode]):
		lang = config.lang
	try:
		lang = lang.replace("-", "_")
		return strings.__dict__[lang]
	except KeyError:
		return strings.__dict__[config.lang]


# If you change or add any strings in this file please contact the translators listed below
# Everything must be in UTF-8
# Look for language codes here - http://www.w3.org/WAI/ER/IG/ert/iso639.htm
# Current languages: English, Portugese, Dutch, German, French, Spanish

class strings:
	class en: # English - James Bunton <mailto:james@delx.cjb.net>
		# Text that may get sent to the user. Useful for translations. Keep any %s symbols you see or you will have troubles later
		registerText = u"Please type your MSN Passport (user@hotmail.com) into the username field, your password and desired base nickname.\nFor more information see http://msn-transport.jabberstudio.org/users"
		gatewayTranslator = u"Enter the user's MSN account."
		userMapping = u"The MSN contact %s has a Jabber ID %s. It is recommended to talk to this person through Jabber."
		notLoggedIn = u"Error. You must log into the transport before sending messages."
		notRegistered = u"Sorry. You do not appear to be registered with this transport. Please register and try again. If you are having trouble registering please contact your Jabber administrator."
		waitForLogin = u"Sorry, this message cannot be delivered yet. Please try again when the transport has finished logging in."
		groupchatInvite = u"You have been invited into a groupchat on the legacy service. You must join this room to switch into groupchat mode %s.\nIf you do not join this room you will not be able to participate in the groupchat, but you will still appear to have joined it to contacts on the MSN service."
		groupchatFailJoin1 = u"You did not join the groupchat room %s.\nThe following users were in the groupchat:"
		groupchatFailJoin2 = u"You have been removed from this room on the legacy service. The following was said before you were disconnected, while you appeared to be in the groupchat to the contacts on the legacy service."
		groupchatPrivateError = u"Sorry. You cannot send private messages to users in this groupchat. Please instead add the user to your contact list and message them that way."
		msnMaintenance = u"Notification from Microsoft. The MSN Messenger network will be going down for maintenance."
		msnMultipleLogin = u"Your MSN account has been logged in elsewhere. Please logout at the other location and then reactivate the MSN transport."
		msnNotVerified = u"Your MSN passport %s, has not had it's email address verified. MSN users will not be able to see your nickname, and will be warned that your account may not be legitimate. Please see Microsoft for details."
		msnLoginFailure = u"MSN transport could not log into your MSN account %s. Please check that your password is correct. You may need to re-register the transport."
		msnFailedMessage = u"This message could not be delivered. Please check that the contact is online, and that their address on your contact list is correct.\n\n"
		msnInitialMail = u"Hotmail notification\n\nUnread message in inbox: %s\nUnread messages in folders: %s"
		msnRealtimeMail = u"Hotmail notification\n\nFrom: %s <%s>\n Subject: %s"
		msnDisconnected = u"Disconnection from MSN servers: %s"
	en_US = en # en-US is the same as en, so are the others
	en_AU = en
	en_GB = en

	class pt: # asantos
		# Text that may get sent to the user. Useful for translations. Keep any %s symbols you see or you will have troubles later
		registerText = u"Para acederes ao Serviço de MSN, tens que inserir o teu username (eg. alex@hotmail.com) e password respectiva."
		gatewayTranslator = u"Enter the user's MSN account."
		userMapping = u"O contacto MSN %s tem o seguinte Jabber ID %s. É recomendável falar com este contacto através do Jabber."
		notLoggedIn = u"Erro. Tens que efectuar o login no serviço de transporte antes de começar a enviar mensagens."
		notRegistered = u"Pedimos Desculpa mas não deverás ter o registo correcto neste serviço de transporte. Tenta registar-te novamente, por favor. Se continuas a ter problemas no registo, contacta-nos por favor (eg. messenger@hotmail.com)."
		waitForLogin = u"Erro, esta mensagem não poderá ser entregue imediatamente. Por favor tenta de novo, quando o serviço de transporte acabar de efectuar login."
		groupchatInvite = u"You have been invited into a groupchat on the legacy service. You must join this room to switch into groupchat mode %s.\nIf you do not join this room you will not be able to participate in the groupchat, but you will still appear to have joined it to contacts on the MSN service."
		groupchatFailJoin1 = u"You did not join the groupchat room %s.\nThe following users were in the groupchat:"
		groupchatFailJoin2 = u"You have been removed from this room on the legacy service. The following was said before you were disconnected, while you appeared to be in the groupchat to the contacts on the legacy service."
		groupchatPrivateError = u"Sorry. You cannot send private messages to users in this groupchat. Please instead add the user to your contact list and message them that way."
		msnMaintenance = u"Notification from Microsoft. The MSN Messenger network will be going down for maintenance."
		msnMultipleLogin = u"A tua conta de MSN foi activada noutro computador. Por favor desliga a ligação no outro computador para retomar o serviço de transporte."
		msnNotVerified = u"O teu MSN passport %s, não verificou correctamente o teu email. Utilizadores de MSN não vão conseguir ver o teu nickname, e vão ser avisados que a tua conta poderá não ser legitima. Confirma com a Microsoft os teus detalhes."
		msnLoginFailure = u"O serviço de transporte de MSN não conseguiu activar a ligação com a tua conta %s. Confirma se a tua password está correcta. Poderás ter que te registar de novo no serviço."
		msnFailedMessage = u"Esta mensagem não pode ser entregue. Confirma por favor se o contacto está online e se o endereço usado na buddylist está correcto\n\n"
		msnInitialMail = u"Hotmail notification\n\nUnread message in inbox: %s\nUnread messages in folders: %s"
		msnRealtimeMail = u"Hotmail notification\n\nFrom: %s <%s>\n Subject: %s"
		msnDisconnected = u"Desligado dos servidores MSN: %s"

	class nl: # Dutch - Matthias Therry <matthias.therry@pi.be>
		registerText = u"Voer je MSN Passport (gebruiker@hotmail.com) en je wachtwoord in. Geef ook het vaste deel van je bijnaam op.\nVoor meer info zie http://msn-transport.jabberstudio.org/users.html"
		gatewayTranslator = u"Enter the user's MSN account." #FIXMELANG
		userMapping = u"The MSN contact %s has a Jabber ID %s. It is recommended to talk to this person through Jabber."
		notLoggedIn = u"Fout: Je moet eerst aanmelden op het transport alvorens berichten te versturen."
		notRegistered = u"Sorry, je bent niet geregistreerd op dit transport. Registreer je eerst en probeer dan opnieuw. Contacteer de beheerder van je Jabberserver bij registratieproblemen."
		waitForLogin = u"Sorry, dit bericht kon nog niet worden afgeleverd. Probeer opnieuw wanneer het transport klaar is met aanmelden."
		groupchatInvite = u"Je bent uitgenodigd voor een groepsgesprek op het MSN-netwerk. Neem deel door om te schakelen naar groepsgesprekmodus %s.\nAls je dit niet doet zal je niet kunnen deelnemen aan het gesprek, hoewel het voor de MSN-gebruikers lijkt alsof je toch aanwezig bent."
		groupchatFailJoin1 = u"Je hebt niet deelgenomen aan het groepsgesprek %s.\nVolgende gebruikers zaten in het gesprek:"
		groupchatFailJoin2 = u"Je bent verwijderd uit het groepsgesprek op het MSN-netwerk. Het volgende werd gezegd voor de verbinding werd verbroken, terwijl je voor de andere deelnemers van het groepsgesprek aanwezig leek."
		groupchatPrivateError = u"Sorry, je kan geen priv�berichten sturen naar gebruikers in dit groepsgesprek. Voeg ze toe aan uw contactlijst om hen priv�te kunnen te spreken."
		msnMaintenance = u"Bericht van Microsoft: het MSN-netwerk zal tijdelijk niet bereikbaar zijn door onderhoudswerken."
		msnMultipleLogin = u"Je bent reeds elders aangemeld op deze MSN-account. Meld je daar eerst af en heractiveer vervolgens het MSN-transport."
		msnNotVerified = u"Het mailadres van je MSN Passport %s werd nog niet geverifieerd. Daardoor zien MSN-gebruikers je nickname niet en zullen ze gewaarschuwd worden dat je account mogelijk niet legitiem is. Wend je tot Microsoft voor meer details."
		msnLoginFailure = u"MSN transport kon je niet aanmelden op MSN-account %s. Controleer je wachtwoord. Mogelijk moet je je opnieuw registreren bij het transport."
		msnFailedMessage = u"Het bericht kon niet worden afgeleverd. Controleer of de contactpersoon online is en zijn adres op de contactlijst correct is.\n\n"
		msnInitialMail = u"Hotmail-meldingen\n\nAantal ongelezen berichten in postvak in: %s\nAantal ongelezen berichten in mappen: %s"
		msnRealtimeMail = u"Hotmail-meldingen\n\nVan: %s <%s>\n Onderwerp: %s"
		msnDisconnected = u"Bezig met verbreken van verbinding met MSN-servers: %s"
	dut = nl
	nla = nl
	
	
	
	class de: # German - Florian Holzhauer <xmpp:fh@jabber.ccc.de>
		registerText = u"Bitte trage Deine MSN-Passport-ID (user@hotmail.com) als User ein, sowie Dein Passwort und Deinen Nickname.\n Mehr Informationen zu diesem Gateway findest Du unter http://msn-transport.jabberstudio.org/users.html"
		gatewayTranslator = u"Enter the user's MSN account." # FIXMELANG!!
		userMapping = u"The MSN contact %s has a Jabber ID %s. It is recommended to talk to this person through Jabber."
		notLoggedIn = u"Fehler. Du musst beim Gateway eingeloggt sein bevor Du Nachrichten schicken kannst."
	 	notRegistered = u"Sorry, Du scheinst Dich bei diesem Gateway noch nicht registriert zu haben. Bitte registriere Dich und versuche es noch einmal. Bei Problemen wendest Du Dich am besten an Deinen Jabber-Administrator"
		waitForLogin = u"Sorry, die Nachricht kann noch nicht uebermittelt werden. Bitte versuche es noch einmal wenn das Gateway bei MSN eingeloggt ist."
		groupchatInvite = u"Du wurdest zu einem MSN-Groupchat eingeladen. Du musst dem Groupchat %s beitreten um teilnehmen zu können, ansonsten kannst Du an dem Groupchat nicht teilnehmen, obwohl es für die anderen Teilnehmer so aussieht, als ob Du im Raum bist."
		groupchatFailJoin1 = u"Du hast den Groupchat-Raum %s nicht betreten.\n Die folgenden User waren im Groupchat:"
		groupchatFailJoin2 = u"Du bist aus diesem Groupchat-Raum ausgeloggt worden. Das folgende wurde in dem Chat gesagt bevor du ausgeloggt wurdest:"
		groupchatPrivateError = u"Du kannst keine privaten Nachrichten an Mitglieder dieses Groupchats schicken. Bitte füge sie stattdessen deinem Roster hinzu."
		msnMaintenance = u"Das MSN Messenger Network wird aus Wartungsgründen von Microsoft heruntergefahren. Bis später!"
		msnMultipleLogin = u"Du bist bereits mit einem anderen Client im MSN Network eingeloggt. Bitte logge den anderen Client aus und aktiviere dann diesen Transport wieder."
		msnNotVerified = u"Dein MSN-Account %s hat keine von Microsoft überprüfte eMail-Adresse. Andere MSN-User können daher Deinen Nickname nicht sehen und werden gewarnt dass dein Account gefälscht sein koennte. Bitte besuche die MSN-Seiten für Details."
		msnLoginFailure = u"Der Login beim MSN-Account %s ist fehlgeschlagen. Bitte überprüfe Dein Passwort und registriere Dich gegebenenfalls erneut."
		msnFailedMesage = u"Die Nachricht konnte nicht übermittelt werden. Bitte prüfe, dass der Contact online ist, und seine Adresse in deiner Contact­List korrekt ist.\nDie Nachricht war:\n\n"
		msnInitialMail = u"Hotmail notification\n\nUngelesene Nachrichten in der Inbox: %s\nUngelesene Nachrichten in anderen Ordnern: %s"
		msnRealtimeMail = u"Hotmail notification\n\nNeue Nachricht von %s <%s>\n Subject: %s"
		msnDisconnected = u"Die Verbindung zum MSN-Server wurde getrennt: %s"


	class fr: # French - Alexandre Viard <mailto:ebola@courrier.homelinux.org>
		registerText = u"Merci d'entrer votre Passport msn (utilisateur@hotmail.com) dans le champ utilisateur, votre mot de passe et le pseudo désiré.\nPour plus d'information : http://msn-transport.jabberstudio.org/users"
		gatewayTranslator = u"Saisir le compte MSN de l'utilisateur."
		userMapping = u"Votre correspondant MSN %s a un ID Jabber %s. Il est recommandé de lui parler par l'intermédiaire Jabber."
		notLoggedIn = u"Erreur. Vous devez vous connecter au transport avant d'envoyer un message."
		notRegistered = u"Désolé. Vous ne semblez pas être enregistré auprés du transport. Merci de vous enregistrer et de réessayer. Si vous avez des problèmes pour l'enregistrement merci de contacter votre administrateur Jabber."
		waitForLogin = u"Désolé, ce message ne peux pas être délivré maintenant. Merci de réessayer quand le transport aura fini de vous connecter."
		groupchatInvite = u"Vous avez été invité dans une conférence multiple. Vous devez rejoindre la salle pour faire parti de la conférence %s.\nSi vous ne le faite pas vous ne pourrez y participer, mais vous apparaitrez quand même connecté à la salle pour les autres participants."
		groupchatFailJoin1 = u"Vous n'avez pas rejoint la salle conférence %s.\nLes utilisateurs suivant y été connecté:"
		groupchatFailJoin2 = u"Vous avez été déconnecté de la salle depuis le serveur MSN. Les mots suivant on été dit avant que vous soyez déconnecté, pendant que vous apparaissiez connecté à la salle pour les autres utilisateurs."
		groupchatPrivateError = u"Désolé. Vous ne pouvez envoyer des messages privés aux contacts de cette conférence. Merci de les ajouter à votre liste de contact et leur envoyer un message."
		msnMaintenance = u"Notification en provenance de Microsoft. Le reseau MSN Messenger va être arrété pour maintenance."
		msnMultipleLogin = u"Votre compte MSN a été utilisé à un autre endroit. Merci de vous déconnecté de celui-ci et de réactiver le transport MSN."
		msnNotVerified = u"L'adresse de courriel de votre  passport MSN %s n'a pas été vérifié. Les utitilisateurs MSN ne pourront voir votre pseudo et seront informé que votre compte n'est peux être pas légitime. Merci de vous informer auprès de Microsoft pour plus de détails."
		msnLoginFailure = u"Le transport MSN n'a pu connecter votre compte MSN %s. Merci de vérifier que votre mot de passe est correct. Vous aurez peut-être à vous ré-enregistrer avec le transport."
		msnFailedMessage = u"Ce message n'a pas pu être délivré. Merci de vérifier que votre contact est en-ligne ou que son adresse est correct.\n\n"
		msnInitialMail = u"Notification Hotmail\n\n Message(s) non lu(s) dans votre boite de réception: %s\nMessage(s) non lu(s) dans le dossier: %s"
		msnRealtimeMail = u"Notification Hotmail\n\nDe: %s <%s>\n Sujet: %s"
		msnDisconnected = u"Déconnecté du serveur MSN: %s"
	fr_FR = fr
	fr_LU = fr
	fr_CH = fr
	fr_CA = fr
	fr_BE = fr

	class es: # Spanish - luis peralta <mailto:peralta@spisa.act.uji.es>
		# Text that may get sent to the user. Useful for translations. Keep any %s symbols you see or you will have troubles later
		registerText = u"Por favor, introduce tu cuenta MSN Passport (user@hotmail.com) en el campo de usuario, la contraseña y el nick o apodo que desees.\nPara más información visita http://msn-transport.jabberstudio.org/users"
		gatewayTranslator = u"Introduce la cuenta de usuario MSN."
		userMapping = u"El contacto MSN %s tiene Jabber ID %s. Se recomienda que te comuniques con esta persona utilizando Jabber."
		notLoggedIn = u"Error. Tienes que iniciar sesión en el transporte antes de poder enviar mensajes."
		notRegistered = u"Lo sentimos. Parece que no estás registrado con este transporte. Por favor, regístrate y prueba de nuevo. Si tienes algún problema registrándote contacta por favor con el administrador del servidor Jabber."
		waitForLogin = u"Lo sentimos, tu mensaje no puede ser enviado todavía. Vuelve a probar cuando el transporte haya acabado de iniciar sesión."
		groupchatInvite = u"Te han invitado a una sala de charla a través de MSN. Tienes que entrar a la sala %s para pasar a modo de charla entre varios.\nSi no entras en la sala, no podrás participar, pero a los contactos MSN les parecerá que te has unido a la charla."
		groupchatFailJoin1 = u"No has entrado en la sala %s.\nLos siguientes usuarios estaban en la sala:"
		groupchatFailJoin2 = u"Has sido eliminado de la charla a tres en el servicio MSN. Lo siguiente se dijo antes de que salieses, mientras al resto de contactos les parecía que todavía estabas en la sala."
		groupchatPrivateError = u"Lo sentimos. No puedes mandar mensajes privados a usuarios en esta sala de charla. Por favor, añade al usuario a tu lista de contactos y charla desde ahí."
		msnMaintenance = u"Notificación de Microsoft. La red de MSN Messenger va a estar en mantenimiento."
		msnMultipleLogin = u"Tu cuenta MSN está siendo utilizada desde otro ordenador. Por favor, cierra sesión en el otro sitio para reactivar el transporte MSN."
		msnNotVerified = u"Tu cuenta %s de MSN passport no ha sido verificada. Los usuarios de MSN no podrán ver tu nick o apodo y se les avisará de que puede que tu cuenta no sea legítima. Contacta con Microsoft para más detalles."
		msnLoginFailure = u"El transporte MSN no ha podido iniciar sesión con la cuenta %s. Por favor, comprueba que tu contraseña sea correcta. Puede que tengas que registrarte de nuevo con el transporte."
		msnFailedMessage = u"Este mensaje no ha podido ser entregado. Por favor, comprueba que el contacto esté conectado y que su dirección en tu lista de contactos sea correcta.\n\n"
		msnInitialMail = u"Notificación de Hotmail\n\nMensajes sin leer en la bandeja de entrada: %s\nMensajes sin leer en otras carpetas: %s"
		msnRealtimeMail = u"Notificación de Hotmail\n\nDe: %s <%s>\nAsunto: %s"
		msnDisconnected = u"Desconexión de los servidores MSN: %s"
	es_ES = es
	es_AR = es
	es_BO = es
	es_CL = es
	es_PY = es
	es_PA = es
	es_PE = es
	es_UY = es
	es_VE = es
	es_PR = es
	es_NI = es
	es_MX = es
	es_HN = es
	es_EC = es
	es_GT = es
	es_CR = es
	es_SV = es
	es_DO = es
	es_CR = es
	

